package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;
import java.util.List;

public class SearchKnowledgeRequest extends AbstractRequest<SearchKnowledgeResult> implements Serializable {

    private String query;

    private List<String> knowLedgeIds;
    private Integer topK;

    private VectorSearchConfig vectorSearchConfig;

    private Double score;

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getQuery() {
        return query;
    }

    public void setQuery(String query) {
        this.query = query;
    }

    public List<String> getKnowLedgeIds() {
        return knowLedgeIds;
    }

    public void setKnowLedgeIds(List<String> knowLedgeIds) {
        this.knowLedgeIds = knowLedgeIds;
    }

    public Integer getTopK() {
        return topK;
    }

    public void setTopK(Integer topK) {
        this.topK = topK;
    }

    public VectorSearchConfig getVectorSearchConfig() {
        return vectorSearchConfig;
    }

    public void setVectorSearchConfig(VectorSearchConfig vectorSearchConfig) {
        this.vectorSearchConfig = vectorSearchConfig;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
